Package org.eclipse.emf.cdo.transfer.ui

# Class TransferLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.emf.cdo.transfer.ui.TransferLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`, `ITableColorProvider`, `ITableLabelProvider`

public class TransferLabelProvider extends LabelProvider implements ITableLabelProvider, ITableColorProvider
A reusable `table label provider` for the `mappings` of a `transfer`.

Since:
  4.2
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`GRAY`
`static final Color`
`RED`

## Constructor Summary

Constructors
Constructor
Description
`TransferLabelProvider(CDOTransfer transfer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`Color`
`getBackground(Object element, int columnIndex)`
`Image`
`getColumnImage(Object element, int columnIndex)`
`String`
`getColumnText(Object element, int columnIndex)`
`protected org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`Color`
`getForeground(Object element, int columnIndex)`
`CDOTransfer`
`getTransfer()`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage, getText`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

## Field Details

### GRAY

public static final Color GRAY

### RED

public static final Color RED

## Constructor Details

### TransferLabelProvider

public TransferLabelProvider(CDOTransfer transfer)

## Method Details

### getTransfer

public CDOTransfer getTransfer()

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`

### getColumnText

public String getColumnText(Object element, int columnIndex)

Specified by:
  `getColumnText` in interface `ITableLabelProvider`

### getColumnImage

public Image getColumnImage(Object element, int columnIndex)

Specified by:
  `getColumnImage` in interface `ITableLabelProvider`

### getForeground

public Color getForeground(Object element, int columnIndex)

Specified by:
  `getForeground` in interface `ITableColorProvider`

### getBackground

public Color getBackground(Object element, int columnIndex)

Specified by:
  `getBackground` in interface `ITableColorProvider`

### getContainer

protected org.eclipse.net4j.util.container.IManagedContainer getContainer()